<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://tempuri.org/" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsx="http://schemas.xmlsoap.org/ws/2004/09/mex" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="Service" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xsd:schema targetNamespace="http://tempuri.org/Imports">
      <xsd:import schemaLocation="http://localhost:50200/Service.svc?xsd=xsd0" namespace="http://tempuri.org/" />
      <xsd:import schemaLocation="http://localhost:50200/Service.svc?xsd=xsd1" namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
      <xsd:import schemaLocation="http://localhost:50200/Service.svc?xsd=xsd2" namespace="http://schemas.datacontract.org/2004/07/EHEC_Server" />
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="IService_WriteDoctor_InputMessage">
    <wsdl:part name="parameters" element="tns:WriteDoctor" />
  </wsdl:message>
  <wsdl:message name="IService_WriteDoctor_OutputMessage">
    <wsdl:part name="parameters" element="tns:WriteDoctorResponse" />
  </wsdl:message>
  <wsdl:message name="IService_WritePatient_InputMessage">
    <wsdl:part name="parameters" element="tns:WritePatient" />
  </wsdl:message>
  <wsdl:message name="IService_WritePatient_OutputMessage">
    <wsdl:part name="parameters" element="tns:WritePatientResponse" />
  </wsdl:message>
  <wsdl:message name="IService_WriteOrigin_InputMessage">
    <wsdl:part name="parameters" element="tns:WriteOrigin" />
  </wsdl:message>
  <wsdl:message name="IService_WriteOrigin_OutputMessage">
    <wsdl:part name="parameters" element="tns:WriteOriginResponse" />
  </wsdl:message>
  <wsdl:message name="IService_WriteExam_InputMessage">
    <wsdl:part name="parameters" element="tns:WriteExam" />
  </wsdl:message>
  <wsdl:message name="IService_WriteExam_OutputMessage">
    <wsdl:part name="parameters" element="tns:WriteExamResponse" />
  </wsdl:message>
  <wsdl:message name="IService_WriteOrigin_Exam_InputMessage">
    <wsdl:part name="parameters" element="tns:WriteOrigin_Exam" />
  </wsdl:message>
  <wsdl:message name="IService_WriteOrigin_Exam_OutputMessage">
    <wsdl:part name="parameters" element="tns:WriteOrigin_ExamResponse" />
  </wsdl:message>
  <wsdl:message name="IService_WriteResult_InputMessage">
    <wsdl:part name="parameters" element="tns:WriteResult" />
  </wsdl:message>
  <wsdl:message name="IService_WriteResult_OutputMessage">
    <wsdl:part name="parameters" element="tns:WriteResultResponse" />
  </wsdl:message>
  <wsdl:message name="IService_WriteCity_InputMessage">
    <wsdl:part name="parameters" element="tns:WriteCity" />
  </wsdl:message>
  <wsdl:message name="IService_WriteCity_OutputMessage">
    <wsdl:part name="parameters" element="tns:WriteCityResponse" />
  </wsdl:message>
  <wsdl:message name="IService_GetResults_InputMessage">
    <wsdl:part name="parameters" element="tns:GetResults" />
  </wsdl:message>
  <wsdl:message name="IService_GetResults_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetResultsResponse" />
  </wsdl:message>
  <wsdl:message name="IService_GetCities_InputMessage">
    <wsdl:part name="parameters" element="tns:GetCities" />
  </wsdl:message>
  <wsdl:message name="IService_GetCities_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetCitiesResponse" />
  </wsdl:message>
  <wsdl:message name="IService_CreateRandomData_InputMessage">
    <wsdl:part name="parameters" element="tns:CreateRandomData" />
  </wsdl:message>
  <wsdl:message name="IService_CreateRandomData_OutputMessage">
    <wsdl:part name="parameters" element="tns:CreateRandomDataResponse" />
  </wsdl:message>
  <wsdl:message name="IService_Ping_InputMessage">
    <wsdl:part name="parameters" element="tns:Ping" />
  </wsdl:message>
  <wsdl:message name="IService_Ping_OutputMessage">
    <wsdl:part name="parameters" element="tns:PingResponse" />
  </wsdl:message>
  <wsdl:message name="IService_ReloadCluster_InputMessage">
    <wsdl:part name="parameters" element="tns:ReloadCluster" />
  </wsdl:message>
  <wsdl:message name="IService_ReloadCluster_OutputMessage">
    <wsdl:part name="parameters" element="tns:ReloadClusterResponse" />
  </wsdl:message>
  <wsdl:portType name="IService">
    <wsdl:operation name="WriteDoctor">
      <wsdl:input wsaw:Action="http://tempuri.org/IService/WriteDoctor" message="tns:IService_WriteDoctor_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IService/WriteDoctorResponse" message="tns:IService_WriteDoctor_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="WritePatient">
      <wsdl:input wsaw:Action="http://tempuri.org/IService/WritePatient" message="tns:IService_WritePatient_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IService/WritePatientResponse" message="tns:IService_WritePatient_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="WriteOrigin">
      <wsdl:input wsaw:Action="http://tempuri.org/IService/WriteOrigin" message="tns:IService_WriteOrigin_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IService/WriteOriginResponse" message="tns:IService_WriteOrigin_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="WriteExam">
      <wsdl:input wsaw:Action="http://tempuri.org/IService/WriteExam" message="tns:IService_WriteExam_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IService/WriteExamResponse" message="tns:IService_WriteExam_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="WriteOrigin_Exam">
      <wsdl:input wsaw:Action="http://tempuri.org/IService/WriteOrigin_Exam" message="tns:IService_WriteOrigin_Exam_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IService/WriteOrigin_ExamResponse" message="tns:IService_WriteOrigin_Exam_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="WriteResult">
      <wsdl:input wsaw:Action="http://tempuri.org/IService/WriteResult" message="tns:IService_WriteResult_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IService/WriteResultResponse" message="tns:IService_WriteResult_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="WriteCity">
      <wsdl:input wsaw:Action="http://tempuri.org/IService/WriteCity" message="tns:IService_WriteCity_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IService/WriteCityResponse" message="tns:IService_WriteCity_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetResults">
      <wsdl:input wsaw:Action="http://tempuri.org/IService/GetResults" message="tns:IService_GetResults_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IService/GetResultsResponse" message="tns:IService_GetResults_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetCities">
      <wsdl:input wsaw:Action="http://tempuri.org/IService/GetCities" message="tns:IService_GetCities_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IService/GetCitiesResponse" message="tns:IService_GetCities_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="CreateRandomData">
      <wsdl:input wsaw:Action="http://tempuri.org/IService/CreateRandomData" message="tns:IService_CreateRandomData_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IService/CreateRandomDataResponse" message="tns:IService_CreateRandomData_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="Ping">
      <wsdl:input wsaw:Action="http://tempuri.org/IService/Ping" message="tns:IService_Ping_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IService/PingResponse" message="tns:IService_Ping_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="ReloadCluster">
      <wsdl:input wsaw:Action="http://tempuri.org/IService/ReloadCluster" message="tns:IService_ReloadCluster_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IService/ReloadClusterResponse" message="tns:IService_ReloadCluster_OutputMessage" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="BasicHttpBinding_IService" type="tns:IService">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="WriteDoctor">
      <soap:operation soapAction="http://tempuri.org/IService/WriteDoctor" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="WritePatient">
      <soap:operation soapAction="http://tempuri.org/IService/WritePatient" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="WriteOrigin">
      <soap:operation soapAction="http://tempuri.org/IService/WriteOrigin" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="WriteExam">
      <soap:operation soapAction="http://tempuri.org/IService/WriteExam" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="WriteOrigin_Exam">
      <soap:operation soapAction="http://tempuri.org/IService/WriteOrigin_Exam" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="WriteResult">
      <soap:operation soapAction="http://tempuri.org/IService/WriteResult" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="WriteCity">
      <soap:operation soapAction="http://tempuri.org/IService/WriteCity" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetResults">
      <soap:operation soapAction="http://tempuri.org/IService/GetResults" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetCities">
      <soap:operation soapAction="http://tempuri.org/IService/GetCities" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateRandomData">
      <soap:operation soapAction="http://tempuri.org/IService/CreateRandomData" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Ping">
      <soap:operation soapAction="http://tempuri.org/IService/Ping" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ReloadCluster">
      <soap:operation soapAction="http://tempuri.org/IService/ReloadCluster" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="Service">
    <wsdl:port name="BasicHttpBinding_IService" binding="tns:BasicHttpBinding_IService">
      <soap:address location="http://localhost:50200/Service.svc" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>